# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-05 06:12
from __future__ import unicode_literals

import autoslug.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=200, populate_from='name', unique=True)),
                ('position', positions.fields.PositionField(default=-1)),
            ],
            options={
                'ordering': ('position', 'id'),
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=200, populate_from='title', unique=True)),
                ('pub_date', models.DateTimeField(db_index=True, default=django.utils.timezone.now, help_text='Date you would like this entry to go live on the site.', verbose_name='Date published')),
                ('published', models.BooleanField(default=True, help_text='Select to publish on the site.')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('categories', models.ManyToManyField(blank=True, related_name='entries', to='blog.Category')),
            ],
            options={
                'ordering': ('-pub_date', 'id'),
                'get_latest_by': 'pub_date',
                'verbose_name': 'Blog Entry',
                'verbose_name_plural': 'Blog Entries',
            },
        ),
        migrations.CreateModel(
            name='EntryContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('entry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='blog.Entry')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Image')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Video')),
            ],
            options={
                'ordering': ('entry', 'position'),
                'abstract': False,
                'verbose_name': 'Content Item',
            },
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=255)),
                ('title', models.CharField(max_length=255)),
                ('position', positions.fields.PositionField(default=-1)),
            ],
            options={
                'ordering': ('position', 'id'),
            },
        ),
    ]
